path: /build/build/extras-dev-python-1.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/extras -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/extras
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/extras && luet-portage --dir /pkgdir/extras
    dev-python/extras && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c3c6443933240d48c101e190416931c5890ecd19cab3461cf09138a946c1f6d0
  package:
    name: extras
    version: 1.0.0
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: testtools
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Useful extra bits for Python - things that shold be in the standard
      library
    uri:
    - https://github.com/testing-cabal/extras https://pypi.org/project/extras/
    license: MIT
    buildtimestamp: 2023-09-02 21:28:24.910518253 +0000 UTC m=+54.763403451
    labels:
      BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/testtools-2.5.0-r1[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/extras
      kit: python-modules-kit
      original.package.name: dev-python/extras
      original.package.slot: "0"
      original.package.version: 1.0.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/extras
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ec7d03e1b8a6cfe305f7def316109fc6e7173aa1f8602342c9a14c86bd2a731d
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/extras/__init__.py
- usr/lib/python3.9/site-packages/extras/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/extras/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/extras/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/extras/tests/__init__.py
- usr/lib/python3.9/site-packages/extras/tests/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/extras/tests/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/extras/tests/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/extras/tests/__pycache__/test_extras.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/extras/tests/__pycache__/test_extras.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/extras/tests/__pycache__/test_extras.cpython-39.pyc
- usr/lib/python3.9/site-packages/extras/tests/test_extras.py
- usr/lib/python3.9/site-packages/extras-1.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/extras-1.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/extras-1.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/extras-1.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/extras-1.0.0-py3.9.egg-info/pbr.json
- usr/lib/python3.9/site-packages/extras-1.0.0-py3.9.egg-info/top_level.txt
- usr/share/doc/extras-1.0.0-r1/NEWS.bz2
- usr/share/doc/extras-1.0.0-r1/README.rst.bz2
- var/db/pkg/dev-python/extras-1.0.0-r1/BDEPEND
- var/db/pkg/dev-python/extras-1.0.0-r1/BUILD_TIME
- var/db/pkg/dev-python/extras-1.0.0-r1/CATEGORY
- var/db/pkg/dev-python/extras-1.0.0-r1/CBUILD
- var/db/pkg/dev-python/extras-1.0.0-r1/CFLAGS
- var/db/pkg/dev-python/extras-1.0.0-r1/CHOST
- var/db/pkg/dev-python/extras-1.0.0-r1/CONTENTS
- var/db/pkg/dev-python/extras-1.0.0-r1/COUNTER
- var/db/pkg/dev-python/extras-1.0.0-r1/CXXFLAGS
- var/db/pkg/dev-python/extras-1.0.0-r1/DEFINED_PHASES
- var/db/pkg/dev-python/extras-1.0.0-r1/DEPEND
- var/db/pkg/dev-python/extras-1.0.0-r1/DESCRIPTION
- var/db/pkg/dev-python/extras-1.0.0-r1/EAPI
- var/db/pkg/dev-python/extras-1.0.0-r1/FEATURES
- var/db/pkg/dev-python/extras-1.0.0-r1/HOMEPAGE
- var/db/pkg/dev-python/extras-1.0.0-r1/INHERITED
- var/db/pkg/dev-python/extras-1.0.0-r1/IUSE
- var/db/pkg/dev-python/extras-1.0.0-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/extras-1.0.0-r1/KEYWORDS
- var/db/pkg/dev-python/extras-1.0.0-r1/LDFLAGS
- var/db/pkg/dev-python/extras-1.0.0-r1/LICENSE
- var/db/pkg/dev-python/extras-1.0.0-r1/PF
- var/db/pkg/dev-python/extras-1.0.0-r1/RDEPEND
- var/db/pkg/dev-python/extras-1.0.0-r1/SIZE
- var/db/pkg/dev-python/extras-1.0.0-r1/SLOT
- var/db/pkg/dev-python/extras-1.0.0-r1/USE
- var/db/pkg/dev-python/extras-1.0.0-r1/environment.bz2
- var/db/pkg/dev-python/extras-1.0.0-r1/extras-1.0.0-r1.ebuild
- var/db/pkg/dev-python/extras-1.0.0-r1/repository
package_cacheimage: ""
runtime:
  name: extras
  version: 1.0.0
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Useful extra bits for Python - things that shold be in the standard
    library
  uri:
  - https://github.com/testing-cabal/extras https://pypi.org/project/extras/
  license: MIT
  labels:
    BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/testtools-2.5.0-r1[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/extras
    kit: python-modules-kit
    original.package.name: dev-python/extras
    original.package.slot: "0"
    original.package.version: 1.0.0-r1
